Name:           asahi-repos
Version:        1
Release:        12%{?dist}
Summary:        Additional repositories for Apple Silicon hardware enablement

License:        MIT
URL:            https://pagure.io/fedora-asahi/asahi-repos
Source:         LICENSE
Source:         README.md
Source:         group_asahi-fedora-remix-branding.repo
Source:         RPM-GPG-KEY-group_asahi-fedora-remix-branding
Source:         group_asahi-u-boot.repo
Source:         RPM-GPG-KEY-group_asahi-u-boot
Source:         group_asahi-kernel.repo
Source:         RPM-GPG-KEY-group_asahi-kernel
Source:         group_asahi-mesa.repo
Source:         RPM-GPG-KEY-group_asahi-mesa
Source:         group_asahi-rawhide-rebuilds.repo
Source:         RPM-GPG-KEY-group_asahi-rawhide-rebuilds
Source:         group_asahi-kernel-edge.repo
Source:         RPM-GPG-KEY-group_asahi-kernel-edge
Source:         fedora-asahi-remix-hotfixes.repo
Source:         group_asahi-fedora-remix-scripts.repo
Source:         RPM-GPG-KEY-group_asahi-fedora-remix-scripts

Requires:       fedora-repos
Requires:       fedora-gpg-keys
Obsoletes:      %{name}-common < 1-5
Provides:       %{name}-common = %{version}-%{release}
Conflicts:      %{name}-edge < 1-4

BuildArch:      noarch

%description
Additional repositories for enablement packages for Apple Silicon hardware
maintained by the Fedora Asahi SIG.

%package edge
Summary:        Unstable repositories for Apple Silicon hardware enablement
Requires:       %{name} = %{version}-%{release}
Conflicts:      %{name} < 1-4

%description edge
Additional repositories for Apple Silicon hardware enablement maintained by the
Fedora Asahi SIG including unstable, preview and work in progress packages.

%package rawhide-rebuilds
Summary:        Repository tracking rawhide rebuilds for Apple Silicon packages
Requires:       %{name}-common = %{version}-%{release}

%description rawhide-rebuilds
Additional repository tracking rawhide rebuilds for Apple Silicon hardware
enablement packages maintained by the Fedora Asahi SIG.

%prep
%setup -q -c -T
cp -p %SOURCE0 %SOURCE1 .

%build

%install
install -Dpm0644 -t %{buildroot}%{_sysconfdir}/yum.repos.d \
  %SOURCE2 %SOURCE4 %SOURCE6 %SOURCE8 %SOURCE10 %SOURCE12 %SOURCE14 %SOURCE15
install -Dpm0644 -t %{buildroot}%{_sysconfdir}/pki/rpm-gpg \
  %SOURCE3 %SOURCE5 %SOURCE7 %SOURCE9 %SOURCE11 %SOURCE13 %SOURCE16

%files
%license LICENSE
%doc README.md
%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-kernel.repo
%config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-kernel
%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-fedora-remix-branding.repo
%config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-fedora-remix-branding
%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-fedora-remix-scripts.repo
%config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-fedora-remix-scripts
%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-mesa.repo
%config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-mesa
%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-u-boot.repo
%config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-u-boot
%config(noreplace) %{_sysconfdir}/yum.repos.d/fedora-asahi-remix-hotfixes.repo

%files edge
%license LICENSE
%doc README.md
%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-kernel-edge.repo
%config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-kernel-edge

%files rawhide-rebuilds
%license LICENSE
%doc README.md
%config(noreplace) %{_sysconfdir}/yum.repos.d/group_asahi-rawhide-rebuilds.repo
%config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-group_asahi-rawhide-rebuilds

%post edge
echo
echo 'Run the following command as root to switch to the Edge packages:'
echo '  # dnf upgrade --refresh --setopt=allow_vendor_change=True mesa\* kernel\*'
echo 'and then reboot your system.'
echo

%changelog
* Sat May 11 2024 Janne Grunau <janne-frd@jannau.net> - 1-12
- Make Release %dist specific

* Sat Apr 20 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 1-11
- Rebuild for Fedora Linux 40

* Tue Sep 05 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1-10
- Add fedora-remix-scripts copr

* Thu Aug 03 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1-9
- Use new location for the hotfixes repo

* Thu Aug 03 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1-8
- Adjust repo priorities

* Wed Aug 02 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1-7
- Add repo configuration for the Remix hotfixes

* Sun Jul 30 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1-6
- Fix broken changelog entry

* Sun Jul 30 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1-5
- Subsume asahi-repos-common into asahi-repos

* Wed Jul 26 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1-4
- Move mesa to the main repo

* Wed Jun 21 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1-3
- Simplify edge switchover instructions in post

* Thu Feb 16 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1-2
- Rebuild for Fedora 38
- Stop using rpmautospec, it doesn't work in copr

* Thu Dec 22 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 1-1
- Add kernel-edge repo to -edge subpackage
- Switch to asahi kernel repo in main package

* Tue Dec 20 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 0-1
- Initial version
